/*
 * ModbusApp.h
 *
 *  Created on: 01.05.2015
 *      Author: wn
 */

#ifndef MODBUSAPP_H_
#define MODBUSAPP_H_

#include "SimpleModbusMaster.h"
// #include "Mudbus.h"




const uint32_t MODBUS_BAUD = 9600;
const uint16_t MODBUS_TIMEOUT = 10000;
const uint16_t MODBUS_SCANRATE = 1000;
const uint8_t MODBUS_RETRY_COUNT = 25;
const uint8_t MODBUS_TX_ENABLE_PIN = 2;
const uint8_t ZEROING_PIN = 3;
const uint8_t MODBUS_ADDRESS = 1;

// void modbusAppBegin(Mudbus *mb);
void modbusAppBegin();
void modbusAppExec();

float getVoltage();
float getCurrent();
float getCosPhi();
float getPower();
float getEnergy();
float getNewEnergy();



#endif /* MODBUSAPP_H_ */
